form {
    --dark-grey-color: #777;
    --light-grey-color: #ddd;

    --form-spacing: 3px;
    --form-inter-line-margin: var(--form-spacing);
    --form-radius: 3px;
    --form-line-height: 22px;
    --form-input-border: 1px solid var(--dark-grey-color);
    --form-input-padding: 5px;

    --form-inherit-value-width: 26em;
    --form-inherit-source-width: 6em;

    --form-control-width: calc(var(--form-inherit-value-width) + var(--form-inherit-source-width));

    --form-inherit-value-display-width: calc(var(--form-inherit-value-width) - var(--form-input-padding));

    --form-inherit-input-width: calc(var(--form-control-width) - 2 * var(--form-input-padding) - 2px);
    --form-inherit-select-width: calc(var(--form-control-width) - 2px);

    --form-cidr-ip-width: calc( var(--form-control-width) * 0.75 - var(--form-spacing));
    --form-cidr-pfx-width: calc(var(--form-control-width) * 0.25 - var(--form-spacing));
}
.hidden {
    display: none !important;
}
form,
input,
select,
button {
    font-family: var(--base-font-family);
    line-height: var(--form-line-height);
    font-size: 14px;
}
.select-span {
    border: 1px transparent;
}
.select-span:after {
    content: "🞃";
    display: inline-block;
    position: relative;
    text-align: center;
    left: calc(0px - var(--form-line-height));
    top: -2px;
    width: var(--form-line-height);
    height: var(--form-line-height);
    margin-right: calc(0px - var(--form-line-height));
    /* height: var(--form-line-height); */
    /* line-height: var(--form-line-height); */
    pointer-events: none;
    box-sizing: content-box;
}
form input[type=text],
form select {
    border: var(--form-input-border);
    border-radius: var(--form-radius);
    vertical-align: top;
    height: var(--form-line-height);
    box-sizing: content-box;
    background-color: white;
    appearance: none;
    -moz-appearance: none;
}
form input {
    padding: 0px 5px 0px 5px;
}
.form-line {
    vertical-align: top;
    margin-top: var(--form-inter-line-margin);
}
.form-line-label {
    vertical-align: top;
    display: inline-block;
    width: 20em;
}
.form-line-control {
    display: inline-block;
}
.form-line-submit {
    text-align: right;
    width: var(--form-control-width);
}
.form-list-field-empty-list {
    font-style: italic;
    height: calc(var(--form-line-height) + 2px);
    padding-bottom: var(--form-spacing); 
}
.form-list-field-line {
    padding-bottom: var(--form-spacing); 
}
.form-list-field-item {
    vertical-align: top;
    display: inline-block;
}
.form-list-field-alias-item {
    --list-field-alias-item-width: calc(var(--form-control-width) - var(--form-line-height) - var(--form-spacing) - 2px);
    width: var(--list-field-alias-item-width);
}
.form-list-field-alias-item-edit {
    width: calc(var(--list-field-alias-item-width) - var(--form-line-height) - var(--form-spacing) - 12px);
}
.form-list-field-control-bar {
    width: calc(var(--form-control-width) + var(--form-line-height) + 2px + var(--form-spacing));
    background-color: var(--light-grey-color);
    padding-top: var(--form-spacing);
    padding-bottom: var(--form-spacing);
    padding-right: var(--form-spacing);
    text-align: right;
}

.form-section {
    font-size: 14pt;
    font-weight: bold;
}

.form-sub-section {
    font-size: 12pt;
    font-style: italic;
    font-weight: bold;
}

.form-control-button {
    width: var(--form-line-height);
    height: var(--form-line-height);
    border-radius: var(--form-radius);
    cursor: pointer;
    display: inline-block;
    border: var(--form-input-border);
    line-height: 22px;
    text-align: center;
    margin-left: 3px;
}

.form-alias-list-control {
    display: inline-block;
}

.form-inherit-info-line > .form-inherit-value {
    display: inline-block;
    box-sizing: content-box;
    padding-left: var(--form-input-padding);
    width: var(--form-inherit-value-display-width);
}
.form-inherit-info-line > .form-inherit-source {
    display: inline-block;
    box-sizing: content-box;
    width: var(--form-inherit-source-width);
}   
.form-line-control > input.text-field,
.form-inherit-control-line input {
    width: var(--form-inherit-input-width);    
}
.form-line-control > span.select-span > select,
.form-inherit-control-line > span.select-span,
.form-inherit-control-line select {
    width: var(--form-inherit-select-width)
}

.form-control {
    display: inline-block;
    vertical-align: top;
}
.form-control div {
    vertical-align: top;
}

.cidr-ip-edit {
    width: calc(var(--form-cidr-ip-width) - var(--form-input-padding) - var(--form-spacing));
}
.cidr-pfx-edit {
    margin-left: var(--form-spacing);
    width: calc(var(--form-cidr-pfx-width) - 2 * var(--form-input-padding) - var(--form-spacing));
}

.form-submit-button {
    border: var(--form-input-border);
    border-radius: var(--form-radius);
    box-sizing: content-box;
    background-color: white;
    appearance: none;
    -moz-appearance: none;
}
.form-submit-button:hover {
    background-color: var(--light-grey-color);
}


.tb-dialog-bg-container {
    --dialog-font-size: 14px;
    --dark-grey-color: #777;
    --light-grey-color: #ddd;
    --dialog-pane-radius: 8px;
    --dialog-padding: var(--dialog-pane-radius);
    --dialog-button-line-height: 22px;
    --dialog-button-radius: 3px;
    --dialog-button-border: 1px solid var(--dark-grey-color);
     position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,.50);
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    font-family: var(--base-font-family);
    font-size: var(--dialog-font-size);
}

.tb-dialog-pane {
    background-color: white;
    border-radius: var(--dialog-pane-radius);
    grid-column: 2 / 2;
    grid-row: 2 / 2;
    align-self: center;
    display: flex;
    flex-direction: column;
}

.tb-dialog-title-bar {
    background-color: #b9c3e2;
    border-top-left-radius: var(--dialog-pane-radius);
    border-top-right-radius: var(--dialog-pane-radius);
    border-bottom: 1px solid #ccc;
    padding: var(--dialog-padding);
}

.tb-dialog-content-pane {
    width: -moz-max-content;
    min-width: calc( 100% - 2 * var(--dialog-padding) );
    padding: var(--dialog-padding);
    flex: auto;
}

.tb-dialog-footer-pane {
    padding: var(--dialog-padding);
}

.tb-dialog-buttons {
    display: flex;
    flex-direction: row;
    justify-content: right;
}
.tb-dialog-buttons > button {
    line-height: var(--dialog-button-line-height);
    margin-left: var(--dialog-padding);
    background-color: white;
    border: var(--dialog-button-border);
    border-radius: var(--dialog-button-radius);
    box-sizing: content-box;
    appearance: none;
    -moz-appearance: none;
}
.tb-dialog-buttons > button:hover {
    background-color: var(--light-grey-color);
}
